البيكسلات
GET https://bio.dl1s.co/api/pixels/
curl --request GET \
--url 'https://bio.dl1s.co/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.dl1s.co/api/pixels/' \
--header 'Authorization: Bearer {api_key}' \
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| search | اختياري نصي | نص البحث. |
| search_by | اختياري نصي | الحقل الذي تبحث من خلاله. القيم المسموحة: name, pixel. |
| type | اختياري نصي | القيم المسموحة: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| datetime_field | اختياري نصي | القيم المسموحة: datetime, last_datetime |
| datetime_start | اختياري نصي | تصفية النتائج بدءًا من هذا التاريخ والوقت. بصيغة Y-m-d H:i:s. |
| datetime_end | اختياري نصي | تصفية النتائج حتى هذا التاريخ والوقت. بصيغة Y-m-d H:i:s. |
| order_by | اختياري نصي | الحقل الذي يتم ترتيب النتائج بناءً عليه. القيم المسموحة: pixel_id, datetime, last_datetime, name. |
| order_type | اختياري نصي | ترتيب النتائج. القيم المسموحة: ASC للترتيب التصاعدي وDESC للترتيب التنازلي. |
| page | اختياري عدد صحيح | رقم الصفحة التي تريد النتائج منها. الافتراضي 1. |
| results_per_page | اختياري عدد صحيح | عدد النتائج المطلوبة لكل صفحة. القيم المسموحة: 10, 25, 50, 100, 250, 500, 1000. الافتراضي 25. |
{
"data": [
{
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-27 12:58:55",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://bio.dl1s.co/api/pixels?page=1",
"last": "https://bio.dl1s.co/api/pixels?page=1",
"next": null,
"prev": null,
"self": "https://bio.dl1s.co/api/pixels?page=1"
}
}
GET https://bio.dl1s.co/api/pixels/{pixel_id}
curl --request GET \
--url 'https://bio.dl1s.co/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.dl1s.co/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "facebook",
"name": "Fb Ads",
"pixel": "1234567",
"last_datetime": null,
"datetime": "2026-06-27 12:58:55",
}
}
POST https://bio.dl1s.co/api/pixels
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| type | مطلوب نصي | القيم المسموحة: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | مطلوب نصي | - |
| pixel | مطلوب نصي | - |
curl --request POST \
--url 'https://bio.dl1s.co/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
--url 'https://bio.dl1s.co/api/pixels' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=facebook' \
--form 'name=Facebook' \
--form 'pixel=12345678' \
{
"data": {
"id": 1
}
}
POST https://bio.dl1s.co/api/pixels/{pixel_id}
| المعلمات | التفاصيل | الوصف |
|---|---|---|
| type | اختياري نصي | القيم المسموحة: facebook, google_analytics, google_tag_manager, linkedin, pinterest, twitter, quora, tiktok, snapchat |
| name | اختياري نصي | - |
| pixel | اختياري نصي | - |
curl --request POST \
--url 'https://bio.dl1s.co/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
--url 'https://bio.dl1s.co/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Facebook New Name' \
{
"data": {
"id": 1
}
}
DELETE https://bio.dl1s.co/api/pixels/{pixel_id}
curl --request DELETE \
--url 'https://bio.dl1s.co/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://bio.dl1s.co/api/pixels/{pixel_id}' \
--header 'Authorization: Bearer {api_key}' \